
class Destination {
  final double latitude;
  final double longitude;
  final String name;
  final String description;
  final DestinationType type;
  final Duration duration;
  final bool visited;

  Destination({
    required this.latitude,
    required this.longitude,
    required this.name,
    required this.description,
    required this.type,
    required this.duration,
    required this.visited,
  });
}


class DestinationType {
  final String name;
  final String description;
  
  DestinationType({
    required this.name,
    required this.description,
  });
}
